#ifndef GEMINISERVER_INFORMATION_HPP
#define GEMINISERVER_INFORMATION_HPP

namespace gemini {
	/**
	 * \brief This struct is used to store information inside, used by any other class/struct.
	 */
	struct Information {
		const bool enable_cache{ false };
		const std::size_t cache_size{ 0 };
		const std::string ssl_pem_path{};
		const std::string ssl_cert_path{};

		Information() = default;

		Information(const bool enableCache, const size_t cacheSize, std::string sslPemPath, std::string sslCertPath) :
				enable_cache(enableCache), cache_size(cacheSize), ssl_pem_path(std::move(sslPemPath)), ssl_cert_path(std::move(sslCertPath)) {}
	};
}


#endif //GEMINISERVER_INFORMATION_HPP
